Package twisted :: Package xish :: Module xpathparser :: Class XPathParserScanner

[frames | no frames]

## Class XPathParserScanner

    Scanner --+
              |
             XPathParserScanner

Method Summary
| `__init__(self, str)`
Inherited from Scanner
| ``__repr__`(self)` Print the last 10 tokens that have been scanned in
| ``scan`(self, restrict)` Should scan another token and add it to the list, self.tokens, and add the restriction to self.restrictions
| ``token`(self, i, restrict)` Get the i'th token, and if i is one past the end, then scan for another token; restrict is a list of tokens that are allowed, or 0 for any token.

Class Variable Summary
`list` | `patterns` = `[('"\\)"', <_sre.SRE_Pattern object at 0x8b19...`

Class Variable Details

### patterns

  Type:
    `list`
  Value:

        [('"\\)"', <_sre.SRE_Pattern object at 0x8b19030>),
         ('","', <_sre.SRE_Pattern object at 0x8b11380>),
         ('"\\("', <_sre.SRE_Pattern object at 0x88c1398>),
         ('"@"', <_sre.SRE_Pattern object at 0x871f9e8>),
         ('"\\]"', <_sre.SRE_Pattern object at 0x874e2e8>),
         ('"\\["', <_sre.SRE_Pattern object at 0x8814df8>),
         ('"/"', <_sre.SRE_Pattern object at 0x8868c88>),
         ('\\s+', <_sre.SRE_Pattern object at 0x85bcad8>),
        ...

Generated by Epydoc 2.0 on Wed Feb 25 07:36:57 2004 | http://epydoc.sf.net